darstellung von externen inhalten fehlerhaft

  • Hallo,


    das ist nicht ohne weiteres möglich, da unsere Widgets mit neueren Versionen u.U. nicht kompatibel sind. Da müsste sich schon der Anbieter von "Externen"-Inhalten darum kümmern, wie er das zu bestehenden Webseiten kompatibel bekommt. Er könnte z.B. eine neuere jQuery-Version einbinden, wenn er jQuery.noConflict() nutzt (und das ist Bedingung).


    Hier muss Easybooking aktiv werden.

  • hallo!


    anbei leite ich die antwort der fa. easybooking weiter:


    Sehr geehrte Frau Leitner, Sehr geehrte Frau Siez (Zeta Software)


    Die Antwort von Ihrem website-dienstleister ist nicht korrekt und beinhaltet einen Denkfehler.
    Den Vorschlag von Frau Seiz könnten wir nur verneinen und zurückgeben – unsere Widgets funktionieren nur korrekt mit höheren Versionen von jQuery (1.9.1 und höher)
    (ZETA verwendet bei Ihrer website jQuery 1.7.1 da Ihre widgets laut Auskunft von Zeta nur mit niedrigeren Versionen funktioniert ) somit kann diese Lösung (jQuery no Conflict) nur bei ZETA implementiert werden.
    Bitte wenden Sie sich in der Angelegenheit an ZETA Software.



    Siehe link anbei zur Erklärung des Problems:
    https://api.jquery.com/jquery.noconflict/



    If for some reason two versions of jQuery are loaded (which is not recommended), calling $.noConflict( true ) from the second version will return the globally scoped jQuery variables to those of the first version.

    1
    2
    3
    4
    5
    6
    <script src="other_lib.js"></script>







    <script src="jquery.js"></script>







    <script>







    $.noConflict();







    // Code that uses other library's $ can follow here.







    </script>




    Freundliche Grüße,



    NAME AUF WUNSCH VON EASYBOOKING GELÖSCHT
    webdesign
    easybooking



    wie kann ich jetzt weiter vorgehen?


    bg alex

  • Hallo,


    es tut mir leid, dass Sie nun in der Situation sind, wo es ein Anbieter auf den anderen schiebt. Aber die Aussage von Easybooking ist so falsch wie mein Name und die Anrede "Frau" ;-)


    Das jQuery das wir laden, ist das ERSTE. Wenn Easybooking nun in seinem code eine neuere jquery Bibliothek lädt, und dann z.B.
    jqEasy = jQuery.noConflict( true );
    aufruft, so kann Easybooking seine neuere jQuery Version per jqEasy() ansprechen und unsere bleibt Adressat für $().


    Beispiel:


    Wenn Easybooking hierzu nichts anbieten kann, dann ist es leider im Moment wohl so, Zeta Producer nicht kompatibel mit easybooking ist.
    Wir könnten unseren Code im Zusammenhang mit jQuery evtl. etwas robuster machen, indem wir nicht den standard jQuery "$" Kürzel nutzen, das ist aber kein leichtes Unterfangen und würde weitreichende Änderungen erfordern. Das können wir leider nicht mal so kurz für Sie ändern.

  • Auch wir haben viele technische und andere Probleme mit dem Hotelprogramm easybooking zu denen wir vom Support soweit keine Lösung bekommen haben,
    vielleicht können Sie uns helfen.


    z.B.
    easybooking verursacht auf einem Arbeitsplatz permanent Probleme bei Mozilla. (Shockwave Probleme, siehe Anhang) und dann bricht Mozilla zusammen. Alle Eintellungen und Adobe Aktualität
    wurden von unserem IT Techniker geprüft und es kann von ihm kein Problem gefunden werden.


    Laut easybooking ist es bekannt, dass Mozille mit ihrem Programm Probleme verursacht.


    Wenn ich aber - wie vom Support vorgeschlagen- mit Google Chrome in das Programm einsteige,
    lässt sich wiederum der Channelmanager nicht mehr verwenden,
    da die horizontalen und vertikalen Scrollbalken nicht mehr gehen
    und ich somit alle online Kanäle nicht warten kann.
    Laut Support kann das gar nicht sein... ist aber so...


    Wissen Sie bitte einen Ausweg? Vielen Dank!


    Übrigens: obige Probleme beim Einbau haben wir auch.

  • Hallo,


    eine kurze Rückfrage dazu:


    Deine Einträge von Easybooking, editierst du ja vermutlich nicht über den ZP, oder über einen Bereich deiner Webseite,
    sondern vermutlich auf eine Seite von Easybooking, oder eine bestimmte Seite deines Webservers, oder?


    Falls dem so ist, dann das ja erst mal gar nichts mit dem ZP zu tun.
    Da können wir dir hier nicht unbedingt weiterhelfen.


    Wenn dem nicht so wäre, dann beschreibe mal bitte genauer den Zusammenhang von Easybooking mit deinem ZP-Projekt.


    Evtl. hilft es auch, das ganze mal mit dem Internet Explorer zu versuchen...